<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.HTTPByteSeekResponse.add_response_headers &ndash; librygel-server &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.HTTPByteSeekResponse.add_response_headers &ndash; librygel-server Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-server</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="class"><a href="Rygel.HTTPByteSeekResponse.html">HTTPByteSeekResponse</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="property"><a href="Rygel.HTTPByteSeekResponse.end_byte.html">end_byte</a></li>
          <li class="property"><a href="Rygel.HTTPByteSeekResponse.range_length.html">range_length</a></li>
          <li class="property"><a href="Rygel.HTTPByteSeekResponse.start_byte.html">start_byte</a></li>
          <li class="property"><a href="Rygel.HTTPByteSeekResponse.total_size.html">total_size</a></li>
          <li class="creation_method"><a href="Rygel.HTTPByteSeekResponse.HTTPByteSeekResponse.html">HTTPByteSeekResponse</a></li>
          <li class="creation_method"><a href="Rygel.HTTPByteSeekResponse.HTTPByteSeekResponse.from_request.html">HTTPByteSeekResponse.from_request
            </a></li>
          <li class="virtual_method">add_response_headers</li>
          <li class="virtual_method"><a href="Rygel.HTTPByteSeekResponse.to_string.html">to_string</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">add_response_headers</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <span class="main_keyword">override</span> <span class="main_keyword">void</span> <b><span class="virtual_method">add_response_headers</span></b> (<span class="main_type"><a href="Rygel.HTTPRequest.html" class="abstract_class">HTTPRequest</a></span> request)
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>